<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>
<div id="wrapper">
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <?php if (staff_can('create', 'break')) { ?>
                <div class="tw-mb-2 sm:tw-mb-4">
                    <!-- <a href="<?php echo admin_url('breaks/create'); ?>" class="btn btn-primary">
                        <i class="fa-regular fa-plus tw-mr-1"></i>
                        <?php echo _l('new_break'); ?>
                    </a> -->

                    <a href="#" onclick="init_break(); return false;" class="btn btn-primary">
                        <?php echo _l('new_break'); ?>
                    </a>
                </div>
                <?php } ?>
                <div class="panel_s">
                    <div class="panel-body panel-table-full">
                        <?php
                        // Define only the necessary columns for the breaks table
                        $table_data = [
                            _l('break_type'),    // Column for the type of break (e.g., 'Lunch Break')
                            _l('break_minutes'), // Column for the duration of the break in minutes
                            _l('created_at'),    // Column for the timestamp of the break
                        ];
                        
                        // Render the datatable with these columns only
                        render_datatable($table_data, 'break');
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="delete_break" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <?php echo form_open(admin_url('breaks/delete'), ['delete_break_form']); ?>
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                <h4 class="modal-title"><?php echo _l('delete_break'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="delete_id">
                    <?php echo form_hidden('id'); ?>
                </div>
                <p><?php echo _l('delete_break_info'); ?></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _l('close'); ?></button>
                <button type="submit" class="btn btn-danger _delete"><?php echo _l('confirm'); ?></button>
            </div>
        </div><!-- /.modal-content -->
        <?php echo form_close(); ?>
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<?php init_tail(); ?>
<script>
$(function() {
    // Initialize the DataTable for the breaks table
    initDataTable('.table-break', window.location.href);
});

function delete_break(id) {
    $('#delete_break').modal('show');
    $('#delete_break .delete_id input').val(id);
    
}
</script>
</body>

</html>
