<?php defined('BASEPATH') or exit('No direct script access allowed');
/*
  Widget Name: Total Leads and Converted Leads
  Description: Display the total number of leads and converted leads
*/
?>

<?php
$fn_get_data = function () {
    // Validate 'period_from' input
    $widget_req_from = $this->input->get('period_from');
    if (!empty($widget_req_from)) {
        $widget_req_from = DateTime::createFromFormat('Y-m-d', $widget_req_from);
        $widget_req_from = $widget_req_from ? $widget_req_from->format('Y-m-d') : null;
    }

    // Validate 'period_to' input
    $widget_req_to = $this->input->get('period_to');
    if (!empty($widget_req_to)) {
        $widget_req_to = DateTime::createFromFormat('Y-m-d', $widget_req_to);
        $widget_req_to = $widget_req_to ? $widget_req_to->format('Y-m-d') : null;
    }

    // SQL query to get the total number of leads and converted leads
    $sql = "
        SELECT 
            COUNT(*) AS total_leads,
            SUM(CASE WHEN status = 1 THEN 1 ELSE 0 END) AS total_converted_leads
        FROM " . db_prefix() . "leads TBLLeads
    ";

    // Apply date range filter if both dates are provided
    if (isset($widget_req_from) && isset($widget_req_to)) {
        $sql .= "
            WHERE TBLLeads.dateadded >= '" . $widget_req_from . " 00:00:00'
            AND TBLLeads.dateadded <= '" . $widget_req_to . " 23:59:59'
        ";
    }

    return $this->db->query($sql)->row_array();
};

$widget_data = $fn_get_data();
?>

<div class="widget widget-leads-total-leads" data-widget-id="<?= $widget['id'] ?>">
  <div class="widget-dragger"></div>
  <div class="card-counter primary">
    <i class="fa fa-user-o"></i>
    <span class="count-numbers"><?= $widget_data['total_converted_leads'] ?>/<?= $widget_data['total_leads'] ?></span>
    <span class="count-name"><?= _l('Converted Leads') ?></span>
  </div>
</div>





<style>
/* Container styling */

/* Card styling */


/* Background icon styling */

/* Counter content styling */
.counter-content {
    position: relative;
    z-index: 1;
}

.count-numbers {
    font-size: 2.5em;
    font-weight: bold;
}

.count-name {
    font-size: 1.2em;
    text-transform: uppercase;
    opacity: 0.9;
    margin-top: 5px;
}
</style>


