<?php defined('BASEPATH') or exit('No direct script access allowed');
/*
  Widget Name: Total leads
  Description: Total leads
*/
?>

<?php
$fn_get_data = function () {
  // Get the 'period_from' value and check if it's not null or empty
  $period_from = $this->input->get('period_from');
  if (!empty($period_from)) {
    $widget_req_from = DateTime::createFromFormat('Y-m-d', $period_from);
    if ($widget_req_from !== false) {
      $widget_req_from = $widget_req_from->format('Y-m-d');
    } else {
      $widget_req_from = null;
    }
  } else {
    $widget_req_from = null;
  }

  // Get the 'period_to' value and check if it's not null or empty
  $period_to = $this->input->get('period_to');
  if (!empty($period_to)) {
    $widget_req_to = DateTime::createFromFormat('Y-m-d', $period_to);
    if ($widget_req_to !== false) {
      $widget_req_to = $widget_req_to->format('Y-m-d');
    } else {
      $widget_req_to = null;
    }
  } else {
    $widget_req_to = null;
  }

  // Build the SQL query to get total leads
  $sql = "
    SELECT COUNT(*) AS TOTAL_ROWS 
    FROM " . db_prefix() . "leads TBLLeads
  ";

  // Add date range filter if both 'period_from' and 'period_to' are set
  if (isset($widget_req_from) && isset($widget_req_to)) {
    $sql .= "
      WHERE TBLLeads.dateadded >= '" . $widget_req_from . " 00:00:00' 
      AND TBLLeads.dateadded <= '" . $widget_req_to . " 23:59:59'
    ";
  }

  // Execute the query and return the result
  return $this->db->query($sql)->result_array();
};

$widget_data = $fn_get_data();
?>

<div class="widget widget-leads-total-leads" data-widget-id="<?= $widget['id'] ?>">
  <div class="widget-dragger"></div>
  <div class="card-counter primary">
    <i class="fa fa-user-o"></i>
    <span class="count-numbers"><?= $widget_data[0]['TOTAL_ROWS'] ?></span>
    <span class="count-name"><?= _l('leads') ?></span>
  </div>
</div>
