<?php

defined('BASEPATH') or exit('No direct script access allowed');

class Gdpr_sale
{
    private $ci;

    public function __construct()
    {
        $this->ci = &get_instance();
    }

    public function export($id)
    {
        define('GDPR_EXPORT', true);
        @ini_set('memory_limit', '256M');
        @ini_set('max_execution_time', 360);


        // $sale = $this->ci->sales_model->get($id);
        $this->ci->load->library('zip');

        $tmpDir     = get_temp_dir();
        $valAllowed = get_option('gdpr_sale_data_portability_allowed');
        if (empty($valAllowed)) {
            $valAllowed = [];
        } else {
            $valAllowed = unserialize($valAllowed);
        }

        $json = [];


        $this->ci->db->where('id', $id);
        $sale = $this->ci->db->get(db_prefix().'sales')->row_array();
        $slug = slug_it($sale['name']);

        if (in_array('profile_data', $valAllowed) || in_array('custom_fields', $valAllowed)) {
            if (in_array('profile_data', $valAllowed)) {
                $json = $sale;

                $json['country'] = get_country($sale['country']);
                $json['status']  = $this->ci->sales_model->get_status($sale['status']);
                $json['source']  = $this->ci->sales_model->get_source($sale['source']);
            }

            if (in_array('custom_fields', $valAllowed)) {
                $custom_fields = get_custom_fields('sales');

                $this->ci->db->where('show_on_client_portal', 1)
              ->where('fieldto', 'sales')
              ->order_by('field_order', 'asc');

                $custom_fields = $this->ci->db->get(db_prefix().'customfields')->result_array();

                $json['additional_fields'] = [];

                foreach ($custom_fields as $field) {
                    $json['additional_fields'][] = ['name' => $field['name'], 'value' => get_custom_field_value($sale['id'], $field['id'], 'sales')];
                }
            }
        }

        // consent
        if (in_array('consent', $valAllowed)) {
            $this->ci->load->model('gdpr_model');
            $json['consent'] = $this->ci->gdpr_model->get_consents(['sale_id' => $sale['id']]);
        }

        // Notes
        if (in_array('notes', $valAllowed)) {
            $this->ci->db->where('rel_id', $sale['id']);
            $this->ci->db->where('rel_type', 'sale');
            $json['notes'] = $this->ci->db->get(db_prefix().'notes')->result_array();
        }

        if (in_array('activity_log', $valAllowed)) {
            $json['activity'] = $this->ci->sales_model->get_sale_activity_log($sale['id']);
        }

        if (in_array('integration_emails', $valAllowed)) {
            $this->ci->db->where('saleid', $sale['id']);
            $data['emails'] = $this->ci->db->get(db_prefix().'sale_integration_emails')->result_array();
        }

        if (in_array('proposals', $valAllowed)) {
            $this->ci->load->library('gdpr/gdpr_proposals');
            $json['proposals'] = $this->ci->gdpr_proposals->export($sale['id'], 'sale');
        }

        $tmpDirsaleData = $tmpDir . '/' . $sale['id'] . time() . '-sale';
        mkdir($tmpDirsaleData, 0755);


        $fp = fopen($tmpDirsaleData . '/data.json', 'w');
        fwrite($fp, json_encode($json, JSON_PRETTY_PRINT));
        fclose($fp);

        $this->ci->zip->read_file($tmpDirsaleData . '/data.json');

        if (is_dir($tmpDirsaleData)) {
            @delete_dir($tmpDirsaleData);
        }

        $this->ci->zip->download($slug . '-data.zip');
    }
}
