<?php

defined('BASEPATH') or exit('No direct script access allowed');

class Retentions_merge_fields extends App_merge_fields
{
    public function build()
    {
        return [
                [
                    'name'      => 'retention Name',
                    'key'       => '{retention_name}',
                    'available' => [
                        'retentions',
                    ],
                    'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Email',
                    'key'       => '{retention_email}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Position',
                    'key'       => '{retention_position}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Website',
                    'key'       => '{retention_website}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Description',
                    'key'       => '{retention_description}',
                    'available' => [
                        'retentions',
                    ],
                ],
                [
                    'name'      => 'retention Phone Number',
                    'key'       => '{retention_phonenumber}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Company',
                    'key'       => '{retention_company}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Country',
                    'key'       => '{retention_country}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Zip',
                    'key'       => '{retention_zip}',
                    'available' => [
                        'retentions',
                    ],
                ],
                [
                    'name'      => 'retention City',
                    'key'       => '{retention_city}',
                    'available' => [
                        'retentions',
                    ],
                ],
                [
                    'name'      => 'retention State',
                    'key'       => '{retention_state}',
                    'available' => [
                        'retentions',
                    ],
                ],
                [
                    'name'      => 'retention Address',
                    'key'       => '{retention_address}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => 'retention Assigned',
                    'key'       => '{retention_assigned}',
                    'available' => [
                        'retentions',
                    ],
                ],
                [
                    'name'      => 'retention Status',
                    'key'       => '{retention_status}',
                    'available' => [
                        'retentions',
                    ],
                ],
                [
                    'name'      => 'retention Souce',
                    'key'       => '{retention_source}',
                    'available' => [
                        'retentions',
                    ],
                ],
                [
                    'name'      => 'retention Link',
                    'key'       => '{retention_link}',
                    'available' => [
                        'retentions',
                    ],
                     'templates' => [
                        'gdpr-removal-request-retention',
                    ],
                ],
                [
                    'name'      => is_gdpr() && get_option('gdpr_enable_retention_public_form') == '1' ? 'retention Public Form URL' : '',
                    'key'       => is_gdpr() && get_option('gdpr_enable_retention_public_form') == '1' ? '{retention_public_form_url}' : '',
                    'available' => [

                    ],
                    'templates' => [
                        'new-web-to-retention-form-submitted',
                    ],
                ],
                [
                    'name'      => is_gdpr() && get_option('gdpr_enable_consent_for_retentions') == '1' ? 'retention Consent Link' : '',
                    'key'       => is_gdpr() && get_option('gdpr_enable_consent_for_retentions') == '1' ? '{retention_public_consent_url}' : '',
                    'available' => [

                    ],
                    'templates' => [
                        'new-web-to-retention-form-submitted',
                    ],
                ],
            ];
    }

    /**
     * retention merge fields
     * @param  mixed $id retention id
     * @return array
     */
    public function format($id)
    {
        $fields = [];

        $fields['{retention_name}']               = '';
        $fields['{retention_email}']              = '';
        $fields['{retention_position}']           = '';
        $fields['{retention_company}']            = '';
        $fields['{retention_country}']            = '';
        $fields['{retention_zip}']                = '';
        $fields['{retention_city}']               = '';
        $fields['{retention_state}']              = '';
        $fields['{retention_address}']            = '';
        $fields['{retention_assigned}']           = '';
        $fields['{retention_status}']             = '';
        $fields['{retention_source}']             = '';
        $fields['{retention_phonenumber}']        = '';
        $fields['{retention_link}']               = '';
        $fields['{retention_website}']            = '';
        $fields['{retention_description}']        = '';
        $fields['{retention_public_form_url}']    = '';
        $fields['{retention_public_consent_url}'] = '';

        if (is_numeric($id)) {
            $this->ci->db->where('id', $id);
            $retention = $this->ci->db->get(db_prefix().'retentions')->row();
        } else {
            $retention = $id;
        }

        if (!$retention) {
            return $fields;
        }

        $fields['{retention_public_form_url}']    = retentions_public_url($retention->id);
        $fields['{retention_public_consent_url}'] = retention_consent_url($retention->id);
        $fields['{retention_link}']               = admin_url('retentions/index/' . $retention->id);
        $fields['{retention_name}']               = e($retention->name);
        $fields['{retention_email}']              = e($retention->email);
        $fields['{retention_position}']           = e($retention->title);
        $fields['{retention_phonenumber}']        = e($retention->phonenumber);
        $fields['{retention_company}']            = e($retention->company);
        $fields['{retention_zip}']                = e($retention->zip);
        $fields['{retention_city}']               = e($retention->city);
        $fields['{retention_state}']              = e($retention->state);
        $fields['{retention_address}']            = e($retention->address);
        $fields['{retention_website}']            = e($retention->website);
        $fields['{retention_description}']        = e($retention->description);

        if ($retention->assigned != 0) {
            $fields['{retention_assigned}'] = e(get_staff_full_name($retention->assigned));
        }

        if ($retention->country != 0) {
            $country                  = get_country($retention->country);
            $fields['{retention_country}'] = e($country->short_name);
        }

        if ($retention->junk == 1) {
            $fields['{retention_status}'] = _l('retention_junk');
        } elseif ($retention->lost == 1) {
            $fields['{retention_status}'] = _l('retention_lost');
        } else {
            $this->ci->db->select('name');
            $this->ci->db->from(db_prefix().'retentions_status');
            $this->ci->db->where('id', $retention->status);
            $status = $this->ci->db->get()->row();
            if ($status) {
                $fields['{retention_status}'] = e($status->name);
            }
        }

        $this->ci->db->select('name');
        $this->ci->db->from(db_prefix().'retentions_sources');
        $this->ci->db->where('id', $retention->source);
        $source = $this->ci->db->get()->row();
        if ($source) {
            $fields['{retention_source}'] = e($source->name);
        }

        $custom_fields = get_custom_fields('retentions');
        foreach ($custom_fields as $field) {
            $fields['{' . $field['slug'] . '}'] = get_custom_field_value($retention->id, $field['id'], 'retentions');
        }

        return hooks()->apply_filters('retention_merge_fields', $fields, ['id' => $retention->id, 'retention' => $retention]);
    }
}
