<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>
<div id="wrapper">
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <?php if (staff_can('create', 'break')) { ?>
              
                <?php } ?>

                <a href="#" class="btn btn-default btn-with-tooltip" data-toggle="tooltip" data-placement="bottom"
                        data-title="<?php echo _l('tickets_chart_weekly_opening_stats'); ?>"
                        onclick="slideToggle('.weekly-ticket-opening', init_tickets_weekly_chart); return false;">
                        <i class="fa fa-bar-chart"></i>
                    </a>
                <div class="panel_s">
                    <div class="panel-body panel-table-full">
                        <?php
                        // Define columns for the breaks table
                        $table_data = [
                            _l('id'),            // Column for the unique ID of the break
                            _l('staff_id'),      // Column for the staff ID
                            _l('break_type'),    // Column for the type of break (e.g., 'Lunch Break')
                            _l('break_minutes'), // Column for the duration of the break in minutes
                            _l('start_time'),    // Column for the start time of the break
                            _l('end_time'),      // Column for the end time of the break
                            _l('on_break'),      // Column for whether the break is ongoing
                            _l('created_at'),    // Column for the timestamp of the break creation
                            _l('mins_lat'),      // Column for late minutes
                        ];
                        
                        // Render the datatable with the specified columns
                        render_datatable($table_data, 'break');
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="delete_break" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <?php echo form_open(admin_url('breaks/delete'), ['delete_break_form']); ?>
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                <h4 class="modal-title"><?php echo _l('delete_break'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="delete_id">
                    <?php echo form_hidden('id'); ?>
                </div>
                <p><?php echo _l('delete_break_info'); ?></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _l('close'); ?></button>
                <button type="submit" class="btn btn-danger _delete"><?php echo _l('confirm'); ?></button>
            </div>
        </div><!-- /.modal-content -->
        <?php echo form_close(); ?>
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<?php init_tail(); ?>
<script>
$(function() {
    // Initialize the DataTable for the breaks table
    initDataTable('.table-break', window.location.href);
});

function delete_break(id) {
    // Show the delete modal and set the break ID
    $('#delete_break').modal('show');
    $('#delete_break .delete_id input').val(id);
}
</script>



<script>
//     function updateOnBreakStatus(id, status) {
//     $.ajax({
//         url: admin_url + 'breaks/update_on_break',
//         type: 'POST',
//         data: {
//             id: id,
//             on_break: status
            
//         },
//         success: function(response) {
//             var result = JSON.parse(response);
//             if (result.success) {
//                 alert_float('success', result.message);
//                 // Refresh the specific row in the table
//                 $('.table-break').DataTable().ajax.reload(null, false); // Reloads data without resetting pagination
//             } else {
//                 alert_float('danger', result.message);
//             }
//         },
//         error: function() {
//             alert_float('danger', '<?php echo _l('ajax_error'); ?>');
//         }
//     });
// }

function updateOnBreakStatus(id, status) {
    // Get the current time for `end_time`
    let end_time = new Date().toISOString(); // Format: YYYY-MM-DDTHH:mm:ss

    $.ajax({
        url: admin_url + 'breaks/update_on_break',
        type: 'POST',
        data: {
            id: id,
            on_break: status,
            end_time: end_time
        },
        success: function(response) {
            var result = JSON.parse(response);
            if (result.success) {
                alert_float('success', result.message);
                // Refresh the specific row in the table
                $('.table-break').DataTable().ajax.reload(null, false); // Reloads data without resetting pagination
            } else {
                alert_float('danger', result.message);
            }
        },
        error: function() {
            alert_float('danger', '<?php echo _l('ajax_error'); ?>');
        }
    });
}

</script>
</body>
</html>
