<div class="reminders-popup-notifications-container">
    <?php foreach ($reminders as $reminder): ?>
        <div class="reminders-popup-notification" data-reminder-id="<?= $reminder['id']; ?>">
            <div class="reminder-content">
                <h4 class="reminder-title"><?= $reminder['title']; ?></h4>
                <p class="reminder-message"><?= $reminder['message']; ?></p>
            </div>
            <span class="close-btn">&times;</span>
        </div>
    <?php endforeach; ?>
</div>

<style>
    .reminders-popup-notifications-container {
        position: fixed;
        bottom: 10px;
        right: 10px;
        z-index: 9999;
        width: 300px;
    }

    .reminders-popup-notification {
        background-color: #444;
        color: #fff;
        padding: 10px;
        margin-bottom: 10px;
        border-radius: 5px;
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.5);
    }

    .reminder-content {
        flex: 1;
    }

    .reminder-title {
        margin: 0;
        font-size: 16px;
        font-weight: bold;
    }

    .reminder-message {
        margin: 5px 0 0;
        font-size: 14px;
    }

    .close-btn {
        cursor: pointer;
        font-size: 18px;
        float: right;
    }
</style>

<script>
    $(document).on('click', '.reminders-popup-notification .close-btn', function() {
        $(this).closest('.reminders-popup-notification').fadeOut(300, function() {
            $(this).remove();
        });
    });
</script>
