<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php include_once(APPPATH . 'views/admin/includes/helpers_bottom.php'); ?>

<?php hooks()->do_action('before_js_scripts_render'); ?>

<?php echo app_compile_scripts();

/**
 * Global function for custom field of type hyperlink
 */
echo get_custom_fields_hyperlink_js_function(); ?>
<?php
/**
 * Check for any alerts stored in session
 */
app_js_alerts();
?>
<?php
/**
 * Check pusher real time notifications
 */
if (get_option('pusher_realtime_notifications') == 1) { ?>
<script type="text/javascript">
$(function() {
    // Enable pusher logging - don't include this in production
    // Pusher.logToConsole = true;
    <?php $pusher_options = hooks()->apply_filters('pusher_options', [['disableStats' => true]]);
            if (!isset($pusher_options['cluster']) && get_option('pusher_cluster') != '') {
                $pusher_options['cluster'] = get_option('pusher_cluster');
            }
         ?>
    var pusher_options = <?php echo json_encode($pusher_options); ?>;
    var pusher = new Pusher("<?php echo get_option('pusher_app_key'); ?>", pusher_options);
    var channel = pusher.subscribe('notifications-channel-<?php echo get_staff_user_id(); ?>');
    channel.bind('notification', function(data) {
        fetch_notifications();
    });
});

</script>

<!-- New Script -->
<!-- <script>
        $(document).ready(function() {
            // Set up CSRF token for all AJAX requests
            $.ajaxSetup({
                headers: {
                    'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
                }
            });


            let notification; // Declare the notification object globally
            let intervalId;
            let soundTimeoutId;
            let isModalOpen = false; // New flag to check if the modal is open
            let singlePlayDuration = 13000; // Single play duration: 13 seconds

            function logMessage() {
                if (isModalOpen) return; // Skip AJAX call if the modal is open

                $.get(admin_url + "utilities/get_event_data/")
                    .done(function(response) {
                        try {
                            // Ensure response is an object
                            let data = typeof response === 'string' ? JSON.parse(response) : response;

                            if (data.status === 'success' && data.data) {
                                let title = data.data.reminder.description || 'No title';
                                let start = data.data.reminder.date || 'No start time';
                                let Id = data.data.reminder.id;
                                let relType = data.data.reminder.rel_type === 'lead' ? 'leads' : (data.data.reminder.rel_type === 'sale' ? 'sales' : data.data.reminder.rel_type);
                                let relId = data.data.reminder.rel_id;
                                let link = "<?php echo base_url(); ?>admin/" + relType + "/index/" + relId;

                                // Update modal content with event details
                                $('#eventTitle').text(title);
                                $('#eventStart').text(start);
                                $('#eventLink').attr('href', link);
                                console.log('Event details:', title, start, link);
                                $('#closeModalButton').attr('data-reminder-id', Id);
                                $('#eventLink').attr('data-reminder-id', Id);


                                // Check if the status from reminders_manage is 1
                                if (data.data.reminder_manage.status == 1) {
                                    let notificationFileRoute = '<?php echo base_url('uploads/ringtone.mp3'); ?>';
                                    console.log('Notification file URL:', notificationFileRoute);

                                    // Initialize a new Audio instance and play sound
                                    notification = new Audio(notificationFileRoute);
                                    playRepeatedNotification();
                                }

                                // Show the modal and set the modal open flag to true
                                $('#newOrderAdminModal').modal({
                                    backdrop: 'static',
                                    keyboard: true
                                });
                                isModalOpen = true;
                            }
                        } catch (e) {
                            console.error('Failed to parse JSON response:', e);
                        }
                    })
                    .fail(function(jqXHR, textStatus, errorThrown) {
                        console.error('Request failed:', textStatus, errorThrown);
                    });
            }

            function playRepeatedNotification() {
                // Play the sound repeatedly every 13 seconds
                notification.play().catch(error => {
                    console.error('Error playing audio:', error);
                });

                soundTimeoutId = setInterval(() => {
                    notification.currentTime = 0; // Reset the audio to the start
                    notification.play().catch(error => {
                        console.error('Error playing audio:', error);
                    });
                }, singlePlayDuration);
            }

            function stopNotification() {
                clearInterval(soundTimeoutId); // Stop repeating the sound
                if (notification) {
                    notification.pause(); // Pause the audio
                    notification.currentTime = 0; // Reset to the start
                }
                isModalOpen = false; // Reset modal open flag
            }

            function startNotificationInterval() {
                intervalId = setInterval(logMessage, 5000); // 40 seconds interval
            }

            // Start the notification interval
            startNotificationInterval();

            // Function to handle the closing of the modal and stopping the notification
            function closeModalAndStopNotification() {
                var reminderId = $('#closeModalButton').data('reminder-id');
                // var reminderId = $(this).data('reminder-id'); 
                // Get the reminder ID from the button or link

                $.ajax({
                    url: admin_url + 'utilities/close_reminder/' + reminderId, // Replace with your controller and method
                    type: 'POST',
                    dataType: 'json',
                });



                stopNotification(); // Stop sound when modal is closed
                $('#newOrderAdminModal').modal('hide');

                // window.location.reload();
            }

            // Bind the event handler to both the #closeModalButton and #eventLink
            $('#closeModalButton').on('click', closeModalAndStopNotification);
            // $('#closeModalButton, #eventLink').on('click', closeModalAndStopNotification);



            // Stop notification and sound when the modal is hidden
            $('#newOrderAdminModal').on('hidden.bs.modal', function() {
                stopNotification(); // Ensure sound stops when modal is manually hidden
            });
        });


    </script> -->

<!-- <script>
    $(document).ready(function() {
    $.ajaxSetup({
        headers: {
            'X-CSRF-Token': $('meta[name="csrf-token"]').attr('content')
        }
    });

    let displayedReminders = {};  // Track displayed reminder IDs to prevent duplicates

    function fetchAndDisplayReminders() {
        $.get(admin_url + "utilities/get_event_data/")
            .done(function(response) {
                try {
                    let data = typeof response === 'string' ? JSON.parse(response) : response;

                    if (data.status === 'success' && data.data.reminders.length > 0) {
                        displayReminders(data.data.reminders);  // Display all reminders at once
                    } else {
                        console.log('No unnotified reminders found.');
                    }
                } catch (e) {
                    console.error('Failed to parse JSON response:', e);
                }
            })
            .fail(function(jqXHR, textStatus, errorThrown) {
                console.error('Request failed:', textStatus, errorThrown);
            });
    }

    function displayReminders(reminders) {
        reminders.forEach(function(reminder) {
            let Id = reminder.id;

            // Check if the reminder has already been displayed
            if (!displayedReminders[Id]) {
                displayedReminders[Id] = true;  // Mark this reminder as displayed

                let title = reminder.description || 'No title';
                let start = reminder.date || 'No start time';
                let relType = reminder.rel_type === 'lead' ? 'leads' : (reminder.rel_type === 'sale' ? 'sales' : reminder.rel_type);
                let relId = reminder.rel_id;
                let link = admin_url + relType + "/index/" + relId;

                let popupHtml = `
                    <div id="reminderPopup_${Id}" class="reminder-popup">
                        <button class="close-reminder" data-reminder-id="${Id}">&times;</button>
                        <h4>You have an Appointment Soon</h4>
                        <p><a href="${link}" target="_blank">${title}</a></p>
                        <p>Time: ${start}</p>
                    </div>
                `;

                $('#remindersContainer').prepend(popupHtml);  // Add to the top of the container

                // Show the reminder with a transition
                setTimeout(() => {
                    $(`#reminderPopup_${Id}`).addClass('show');
                }, 100);

                // Close reminder event
                $(`#reminderPopup_${Id} .close-reminder`).on('click', function() {
                    let reminderId = $(this).data('reminder-id');
                    $.ajax({
                        url: admin_url + 'utilities/close_reminder/' + reminderId,
                        type: 'POST',
                        dataType: 'json',
                    });

                    // Remove the reminder from the UI
                    $(`#reminderPopup_${Id}`).remove();
                    delete displayedReminders[reminderId];  // Allow it to be displayed again if fetched
                });
            }
        });
    }

    // Fetch and display all reminders on page load
    fetchAndDisplayReminders();

    // Set an interval to periodically check for new reminders
    setInterval(fetchAndDisplayReminders, 30000);  // Check every 30 seconds
});

</script> -->

<script>
  

</script>




<!-- End of New Script -->
 
<?php } ?>
<?php app_admin_footer(); ?>

