<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="<?php if ($openEdit == true) {
    echo 'open-edit ';
} ?>lead-wrapper" <?php if (isset($lead) && ($lead->junk == 1 || $lead->lost == 1)) {
    echo 'lead-is-junk-or-lost';
} ?>>

    <?php if (isset($lead)) { ?>
    

    <div class="mleft5 pull-right<?php echo $lead_locked == true || $lead->lost == 1 ? ' hide': ''; ?>">
        <a href="#" lead-edit data-toggle="tooltip" data-title="<?php echo _l('edit'); ?>"
            class="btn btn-default lead-top-btn">

            <i class="fa-regular fa-pen-to-square"></i>
        </a>
    </div>

    <?php
           $client                                 = false;
           $convert_to_client_tooltip_email_exists = '';
           if (total_rows(db_prefix() . 'contacts', ['email' => $lead->email]) > 0 && total_rows(db_prefix() . 'clients', ['leadid' => $lead->id]) == 0) {
               $convert_to_client_tooltip_email_exists = _l('lead_email_already_exists');
               $text                                   = _l('lead_convert_to_client');
           } elseif (total_rows(db_prefix() . 'clients', ['leadid' => $lead->id])) {
               $client = true;
           } else {
               $text = _l('lead_convert_to_client');
           }
      ?>

    <?php if ($lead_locked == false) { ?>
    <div class="lead-edit<?php if (isset($lead)) {
          echo ' hide';
      } ?>">
        <button type="button" class="btn btn-primary pull-right lead-top-btn lead-save-btn"
            onclick="document.getElementById('lead-form-submit').click();">
            <?php echo _l('submit'); ?>
        </button>
    </div>
    <?php } ?>
    <?php if ($client && (staff_can('view',  'customers') || is_customer_admin(get_client_id_by_lead_id($lead->id)))) { ?>
    <a data-toggle="tooltip" class="btn btn-success pull-right lead-top-btn lead-view" data-placement="top"
        title="<?php echo _l('lead_converted_edit_client_profile'); ?>"
        href="<?php echo admin_url('clients/client/' . get_client_id_by_lead_id($lead->id)); ?>">
        <i class="fa-regular fa-user"></i>
    </a>
    <?php } ?>
    <?php if (total_rows(db_prefix() . 'clients', ['leadid' => $lead->id]) == 0) { ?>
    

    <?php } ?>

    <?php } ?>

    

    <div class="clearfix no-margin "></div>

    <?php if (isset($lead)) { ?>

    <div class="row mbot15" style="margin-top:12px;">
        <hr class="no-margin" />
    </div>

    <div class="alert alert-warning hide mtop20" role="alert" id="lead_proposal_warning">
        <?php echo _l('proposal_warning_email_change', [_l('lead_lowercase'), _l('lead_lowercase'), _l('lead_lowercase')]); ?>
        <hr />
        <a href="#" onclick="update_all_proposal_emails_linked_to_lead(<?php echo e($lead->id); ?>); return false;">
            <?php echo _l('update_proposal_email_yes'); ?>
        </a>
        <br />
        <a href="#" onclick="init_lead_modal_data(<?php echo e($lead->id); ?>); return false;">
            <?php echo _l('update_proposal_email_no'); ?>
        </a>
    </div>
    <?php } ?>

    
    <?php echo form_open((isset($lead) ? admin_url('leads/lead/' . $lead->id) : admin_url('leads/lead')), ['id' => 'lead_form']); ?>
    <div class="row clearfix-background">
        <div class="lead-view<?php if (!isset($lead)) {
          echo ' hide';
        } ?>" id="leadViewWrapper">
            <div class="col-md-6 col-xs-12 lead-information-col">
            <!-- Edit Name -->
            <h5 class="lead-field-heading tw-font-medium tw-text-neutral-500">
                <?php echo _l('lead_add_edit_name'); ?>
            </h5>
            <?php  if(isset($lead)) { 
                if (($lead->status) != 1) { 
                    if (staff_can('edit', 'leads') || staff_can('view_own', 'leads')) { ?>
                        <div id="lead_view_name" class="editable-content" contenteditable="true" 
                            onblur="updateLeadName(<?php echo e($lead->id); ?>)" 
                            onfocus="this.style.backgroundColor='#f9f9f9'" 
                            onfocusout="this.style.backgroundColor='transparent'">
                            <?php if (!empty($lead->name)) { ?>
                                <div class="content-wrapper">
                                    <h4 class="content-text"><b><?php echo htmlspecialchars($lead->name); ?></b></h4>
                                    <i id="save_name_icon" class="fa fa-check save-icon" style="display: none;"></i>
                                </div>
                            <?php } else { ?>
                                <span class="text-muted"></span>
                            <?php } ?>
                        </div>
                    <?php } else { ?> 
                        <h4 class="content-text-light" style="cursor: not-allowed">
                        <b><?php echo ($lead->name); ?></b>
                    </h4>
                    <?php } 
                } else { ?>
                    <h3 class="content-text-light" style="cursor: not-allowed">
                        <b><?php echo ($lead->name); ?></b>
                    </h3>
                <?php } ?>
            
            
           <?php } ?>
            <!-- End Edit NAME -->



            <!-- Edit Email -->
            <h5 class="lead-field-heading tw-font-medium tw-text-neutral-500">
            <?php echo _l('lead_add_edit_email'); ?></h5>
            <?php 
            if(isset($lead)) {
                if (($lead->status) != 1) {
                
                    
                if (staff_can('edit', 'leads')) { ?>
                    <div id="lead_view_email" class="editable-content" contenteditable="true" onblur="updateLeadEmail(<?php echo e($lead->id); ?>)" onfocus="this.style.backgroundColor='#f9f9f9'" onfocusout="this.style.backgroundColor='transparent'">
                        <?php if (!empty($lead->email)) { ?>
                            <div class="content-wrapper">
                                <h4 class="content-text"><b><?php echo htmlspecialchars($lead->email); ?></b></h4>
                                <i id="save_email_icon" class="fa fa-check save-icon" style="display: none;"></i>
                            </div>
                        <?php } else { ?>
                            <span class="text-muted"></span>
                        <?php } ?>
                    </div>
                <?php } else {?> 
                    <h4 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($lead->email); ?></b></h4>


                <?php }
                
                } else { ?>
                
                <h3 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($lead->email); ?></b></h3>

                <?php } ?>

                <?php } ?>
            <!-- End Edit Email -->


            <!-- Edit Phone Number -->
            <h5 class="lead-field-heading tw-font-medium tw-text-neutral-500">
            <?php echo _l('lead_add_edit_phonenumber'); ?></h5>
            <?php 
           if(isset($lead)) { 
            if (($lead->status) != 1) {
             
                
            if (staff_can('edit', 'leads')) { ?>
                <div id="lead_view_phonenumber" class="editable-content" contenteditable="true" onblur="updateLeadPhoneNumber(<?php echo e($lead->id); ?>)" onfocus="this.style.backgroundColor='#f9f9f9'" onfocusout="this.style.backgroundColor='transparent'">
                    <?php if (!empty($lead->phonenumber)) { ?>
                        <div class="content-wrapper">
                            <h4 class="content-text"><b><?php echo htmlspecialchars($lead->phonenumber); ?></b></h4>
                            <i id="save_phonenumber_icon" class="fa fa-check save-icon" style="display: none;"></i>
                        </div>
                    <?php } else { ?>
                        <span class="text-muted"></span>
                    <?php } ?>
                </div>
            <?php } else { ?>
                <h4 class="content-text-light" id="lead_view_phonenumber" style="cursor :not-allowed"><b><?php echo ($lead->phonenumber); ?></b></h4>


            <?php } 
            
            } else { ?>
            
            <h3 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($lead->phonenumber); ?></b></h3>

            <?php } ?>

            <?php } ?>
            <!-- End Edit Phone Number -->


            <!-- Edit lead Value -->
            <h5 class="lead-field-heading tw-font-medium tw-text-neutral-500">
            <?php echo _l('lead_value'); ?></h5>
            <?php 
            if(isset($lead)) {
            if (($lead->status) != 1) {
             
           
            if (staff_can('edit', 'leads') || staff_can('view_own', 'leads')) { ?>
                <div id="lead_view_value" class="editable-content" contenteditable="true" onblur="updateLeadValue(<?php echo e($lead->id); ?>)" onfocus="this.style.backgroundColor='#f9f9f9'" onfocusout="this.style.backgroundColor='transparent'">
                    <?php if (!empty($lead->lead_value)) { ?>
                        <div class="content-wrapper">
                            <h4 class="content-text"><b><?php echo htmlspecialchars($lead->lead_value); ?></b></h4>
                            <i id="save_value_icon" class="fa fa-check save-icon" style="display: none;"></i>
                        </div>
                    <?php } else { ?>
                        <span class="text-muted"></span>
                    <?php } ?>
                </div>
            <?php } else { ?>
                <h4 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($lead->lead_value); ?></b></h4>


            <?php }
            
            } else { ?>
                
            
                <h3 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($lead->lead_value); ?></b></h3>

            <?php } ?>
            <?php } ?>
            <!-- End Edit lead Value -->
            
            <dt class="lead-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('leads_dt_date_status_change_staff'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15">
                        <?php echo(isset($lead) && $lead->last_status_change_staff != 0 ? e(get_staff_full_name($lead->last_status_change_staff)) : '-') ?>
                    </dd>





            </div>

            <div class="col-md-6 col-xs-12 lead-information-col">
                
                <dl>
                <h5 class="lead-field-heading tw-font-medium tw-text-neutral-500">
                <?php echo _l('lead_add_edit_status'); ?></h5>
                    <dd class="tw-text-neutral-900 tw-mt-2 mbot15">
                        <?php
                            if (isset($lead)) {

                                if (($lead->status) != 1) {
                                    $outputStatus = $lead->status_name != '' ? (
                                        '<span class="lead-status-' . e($lead->status) . ' label' . (empty($lead->color) ? ' label-default' : '') . '" style="color:' . e($lead->color) . ';border:1px solid ' . adjust_hex_brightness($lead->color, 0.4) . ';background: ' . adjust_hex_brightness($lead->color, 0.04) . ';">' . e($lead->status_name)
                                    ) : '-';
                                    
                                    if ($lead->status_name != '') {
                                        $outputStatus .= '<div class="dropdown inline-block mleft5 table-export-exclude">';
                                        $outputStatus .= '<a href="#" style="font-size:14px;vertical-align:middle;" class="dropdown-toggle text-dark" id="tableleadsStatus-' . $lead->id . '" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">';
                                        $outputStatus .= '<span data-toggle="tooltip" title="' . _l('ticket_single_change_status') . '"><i class="fa-solid fa-chevron-down tw-opacity-70"></i></span>';
                                        $outputStatus .= '</a>';
                                    
                                        $outputStatus .= '<ul class="dropdown-menu dropdown-menu-left" aria-labelledby="tableleadsStatus-' . $lead->id . '">';
                                        foreach ($statuses as $leadChangeStatus) {
                                            if ($lead->status != $leadChangeStatus['id']) {
                                                $outputStatus .= '<li>
                                                    <a href="#" 
                                                    onclick="if(confirm(\'Are you sure you want to change the status to ' . e($leadChangeStatus['name']) . '?\')) { lead_mark_as(' . $leadChangeStatus['id'] . ', ' . $lead->id . '); init_lead(' . $lead->id . '); } return false;">
                                                        ' . e($leadChangeStatus['name']) . '
                                                    </a>
                                                </li>';
                                            }
                                        }
                                        $outputStatus .= '</ul>';
                                        $outputStatus .= '</div>';
                                    }
                                    $outputStatus .= '</span>';
                                    
                                    echo $outputStatus;

                                } else { ?> 
                                    <span class="lead-status-1 label" style="color:#515050; border:1px solid #656565; background: #c9c9c9; cursor: not-allowed;">
                                        <?php echo htmlspecialchars($lead->status_name); ?>
                                    </span>

                                <?php }

                            }else {
                                echo '-';
                            }
                        ?>
                    </dd>
                    <dt class="lead-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('lead_add_edit_source'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15">
                        <?php echo(isset($lead) && $lead->source_name != '' ? e($lead->source_name) : '-') ?></dd>
                    
                    
                    
                    <dt class="lead-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('leads_dt_datecreated'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1">
                        <?php echo(isset($lead) && $lead->dateadded != '' ? '<span class="text-has-action" data-toggle="tooltip" data-title="' . e(_dt($lead->dateadded)) . '">' . e(time_ago($lead->dateadded)) . '</span>' : '-') ?>
                    </dd>
                    
                    <dt class="lead-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('leads_dt_date_status_change'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15">
                        <?php echo(isset($lead) && $lead->last_status_change != '' ? e($lead->last_status_change) : '-') ?></dd>
                    
                    
                    
                    <?php if (isset($lead) && $lead->from_form_id != 0) { ?>
                    <dt class="lead-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('web_to_lead_form'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15"><?php echo e($lead->form_data->name); ?></dd>
                    <?php } ?>
                </dl>
            </div>


            
            <div class="clearfix"></div>
            
        </div>

        <div class="clearfix"></div>
        <div class="lead-edit<?php if (isset($lead)) {
                echo ' hide';
            } ?>">
            <div class="col-md-4 <?php echo !is_admin() ? 'hide' : ''; ?>">
                <?php
            $selected = '';
            if (isset($lead)) {
                $selected = $lead->status;
            } elseif (isset($status_id)) {
                $selected = $status_id;
            }
            echo render_leads_status_select($statuses, $selected, 'lead_add_edit_status');
          ?>
            </div>
            
            <div class="col-md-4 <?php echo !is_admin() ? 'hide' : ''; ?>">
                <?php
                    $selected = (isset($lead) ? $lead->source : get_option('leads_default_source'));
                    echo render_leads_source_select($sources, $selected, 'lead_add_edit_source');
                ?>
            </div>
            <div class="col-md-4 <?php echo !is_admin() ? 'hide' : ''; ?>">
                <?php
               $assigned_attrs = [];
               $selected       = (isset($lead) ? $lead->assigned : get_staff_user_id());
               if (isset($lead)
                  && $lead->assigned == get_staff_user_id()
                  && $lead->addedfrom != get_staff_user_id()
                  && !is_admin($lead->assigned)
                  && staff_cant('view', 'leads')
               ) {
                   $assigned_attrs['disabled'] = true;
               }
               echo render_select('assigned', $members, ['staffid', ['firstname', 'lastname']], 'lead_add_edit_assigned', $selected, $assigned_attrs); ?>
            </div>
            <div class="clearfix "></div>
            <hr class="mtop5 mbot10" />
            
           
           
            <div class="col-md-6">
               
            <?php $value = (isset($lead) ? $lead->name : ''); ?>
                <?php echo render_input('name', 'lead_add_edit_name', $value); ?>
                

            <?php if(has_permission('leads','','edit')){ ?>
              
                
                <?php $value = (isset($lead) ? $lead->email : ''); ?>
                <?php echo render_input('email', 'lead_add_edit_email', $value); ?>

            <?php } else {

              

                 $value = (isset($lead) ? $lead->email : ''); 
                 echo render_input('email', 'lead_add_edit_email', $value, 'text', ['readonly' => true]); 

            } ?>  


               
                
                
            </div>
            <div class="col-md-6">

                <?php if(has_permission('leads','','edit')){ ?>
                        <?php
                        $value = (isset($lead) ? $lead->phonenumber : ''); ?>
                        <?php echo render_input('phonenumber', 'lead_add_edit_phonenumber', $value); ?>

                <?php }else { 

                  
                    
                    $value = (isset($lead) ? $lead->phonenumber : ''); 
                    echo render_input('phonenumber', 'lead_add_edit_phonenumber', $value,  'text', ['readonly' => true]); 



                }?>

                <div class="form-group">
                    <label for="lead_value"><?php echo _l('lead_value'); ?></label>
                    <div class="input-group" data-toggle="tooltip" title="<?php echo _l('lead_value_tooltip'); ?>">
                        <input type="number" class="form-control" name="lead_value" value="<?php if (isset($lead)) {
                echo $lead->lead_value;
            }?>">
                        <div class="input-group-addon">
                            <?php echo e($base_currency->symbol); ?>
                        </div>
                    </div>
                    </label>
                </div>
            </div>
            <div class="col-md-12">
                <?php $value = (isset($lead) ? $lead->description : ''); ?>
                <?php echo render_textarea('description', 'lead_description', $value); ?>
                <div class="row">
                    <div class="col-md-12">
                        <?php if (!isset($lead)) { ?>
                        <div class="lead-select-date-contacted hide">
                            <?php echo render_datetime_input('custom_contact_date', 'lead_add_edit_datecontacted', '', ['data-date-end-date' => date('Y-m-d')]); ?>
                        </div>
                        <?php } else { ?>
                        <?php echo render_datetime_input('lastcontact', 'leads_dt_last_contact', _dt($lead->lastcontact), ['data-date-end-date' => date('Y-m-d')]); ?>
                        <?php } ?>
                        <div class="checkbox-inline checkbox checkbox-primary<?php if (isset($lead)) {
                   echo ' hide';
               } ?><?php if (isset($lead) && (is_lead_creator($lead->id) || staff_can('edit',  'leads'))) {
                   echo ' lead-edit';
               } ?>">
                            <input type="checkbox" name="is_public" <?php if (isset($lead)) {
                   if ($lead->is_public == 1) {
                       echo 'checked';
                   }
               }; ?> id="lead_public">
                            <label for="lead_public"><?php echo _l('lead_public'); ?></label>
                        </div>
                        <?php if (!isset($lead)) { ?>
                        <div class="checkbox-inline checkbox checkbox-primary">
                            <input type="checkbox" name="contacted_today" id="contacted_today" checked>
                            <label for="contacted_today"><?php echo _l('lead_add_edit_contacted_today'); ?></label>
                        </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
            
            <div class="col-md-12 mtop15">
                <?php $rel_id = (isset($lead) ? $lead->id : false); ?>
                <?php echo render_custom_fields('leads', $rel_id); ?>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <?php if (isset($lead)) { ?>
    <div class="lead-latest-activity tw-mb-3 lead-view">
        <div class="lead-info-heading">
            <h4><?php echo _l('lead_latest_activity'); ?></h4>
            
        </div>
        <div id="lead-latest-activity" class="pleft5"></div>
    </div>
    <?php } ?>
    <?php if ($lead_locked == false) { ?>
    <div class="lead-edit<?php echo isset($lead) ? ' hide' : ''; ?>">
        <hr class="-tw-mx-4 tw-border-neutral-200" />
        <button type="submit" class="btn btn-primary pull-right lead-save-btn" id="lead-form-submit">
            <?php echo _l('submit'); ?>
        </button>
        <button type=" button" class="btn btn-default pull-right mright5" data-dismiss="modal">
            <?php echo _l('close'); ?>
        </button>
    </div>
    
    <?php } ?>
    <div class="clearfix"></div>
    <?php echo form_close(); ?>
</div>
<?php if (isset($lead) && $lead_locked == true) { ?>
<script>
$(function() {
    // Set all fields to disabled if lead is locked
    $.each($('.lead-wrapper').find('input, select, textarea'), function() {
        $(this).attr('disabled', true);
        if ($(this).is('select')) {
            $(this).selectpicker('refresh');
        }
    });
});
</script>
<?php } ?>
