<?php defined('BASEPATH') or exit('No direct script access allowed');
$retention_already_client_tooltip = '';
$retention_is_client              = $retention['is_retention_client'] !== '0';
if ($retention_is_client) {
    $retention_already_client_tooltip = ' data-toggle="tooltip" title="' . _l('retention_have_client_profile') . '"';
}
if ($retention['status'] == $status['id']) { ?>
<li data-retention-id="<?php echo e($retention['id']); ?>" <?php echo e($retention_already_client_tooltip); ?> class="retention-kan-ban<?php if ($retention['assigned'] == get_staff_user_id()) {
    echo ' current-user-retention';
} ?><?php if ($retention_is_client && get_option('retention_lock_after_convert_to_customer') == 1 && !is_admin()) {
    echo ' not-sortable';
} ?>">
    <div class="panel-body retention-body">
        <div class="tw-flex retention-name">
            <?php if ($retention['assigned'] != 0) { ?>
            <a href="<?php echo admin_url('profile/' . $retention['assigned']); ?>" data-placement="right"
                data-toggle="tooltip" title="<?php echo e(get_staff_full_name($retention['assigned'])); ?>"
                class="mtop8 tw-mr-1.5">
                <?php echo staff_profile_image($retention['assigned'], [
                'staff-profile-image-xs',
                ]); ?></a>
            <?php  } ?>
            <a href="<?php echo admin_url('retentions/index/' . e($retention['id'])); ?>"
                title="#<?php echo e($retention['id']) . ' - ' . e($retention['retention_name']); ?>"
                onclick="init_retention(<?php echo e($retention['id']); ?>);return false;" class="tw-block tw-min-w-0">
                <span
                    class="mtop10 mbot10 tw-truncate tw-block">
                    #<?php echo e($retention['id']) . ' - ' . e($retention['retention_name']); ?>
                </span>
            </a>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="tw-flex">
                    <div class="tw-grow tw-mr-2">
                        <p class="tw-text-sm tw-mb-0">
                            <?php echo _l('retentions_canban_source', $retention['source_name']); ?>
                        </p>
                        <?php $retention_value = $retention['retention_value'] != 0 ? app_format_money($retention['retention_value'], $base_currency->symbol) : '--'; ?>
                        <p class="tw-text-sm tw-mb-0">
                            <?php echo e(_l('retentions_canban_retention_value', $retention_value)); ?>
                        </p>
                    </div>
                    <div class="text-right">
                        <?php if (is_date($retention['lastcontact']) && $retention['lastcontact'] != '0000-00-00 00:00:00') { ?>
                        <small class="text-dark tw-text-sm"><?php echo _l('retentions_dt_last_contact'); ?> <span
                                class="bold">
                                <span class="text-has-action" data-toggle="tooltip"
                                    data-title="<?php echo e(_dt($retention['lastcontact'])); ?>">
                                    <?php echo e(time_ago($retention['lastcontact'])); ?>
                                </span>
                            </span>
                        </small><br />
                        <?php } ?>
                        <small class="text-dark"><?php echo _l('retention_created'); ?>: <span class="bold">
                                <span class="text-has-action" data-toggle="tooltip"
                                    data-title="<?php echo e(_dt($retention['dateadded'])); ?>">
                                    <?php echo e(time_ago($retention['dateadded'])); ?>
                                </span>
                            </span>
                        </small><br />
                        <?php hooks()->do_action('before_retentions_kanban_card_icons', $retention); ?>
                        <span class="mright5 mtop5 inline-block text-muted" data-toggle="tooltip" data-placement="left"
                            data-title="<?php echo _l('retentions_canban_notes', $retention['total_notes']); ?>">
                            <i class="fa-regular fa-note-sticky"></i> <?php echo e($retention['total_notes']); ?>
                        </span>
                        <span class="mtop5 inline-block text-muted" data-placement="left" data-toggle="tooltip"
                            data-title="<?php echo _l('retention_kan_ban_attachments', $retention['total_files']); ?>">
                            <i class="fa fa-paperclip"></i>
                            <?php echo e($retention['total_files']); ?>
                        </span>
                        <?php hooks()->do_action('after_retentions_kanban_card_icons', $retention); ?>
                    </div>
                </div>
            </div>

            <?php if ($retention['tags']) { ?>
            <div class="col-md-12">
                <div class="kanban-tags tw-text-sm tw-inline-flex">
                    <?php echo render_tags($retention['tags']); ?>
                </div>
            </div>
            <?php } ?>
            <a href="#" class="pull-right text-muted kan-ban-expand-top"
                onclick="slideToggle('#kan-ban-expand-<?php echo e($retention['id']); ?>'); return false;">
                <i class="fa fa-expand" aria-hidden="true"></i>
            </a>
            <div class="clearfix no-margin"></div>
            <div id="kan-ban-expand-<?php echo e($retention['id']); ?>" class="padding-10" style="display:none;">
                <div class="clearfix"></div>
                <hr class="hr-10" />
                <p class="text-muted retention-field-heading"><?php echo _l('retention_title'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($retention['title'] != '' ? $retention['title'] : '-') ?></p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_add_edit_email'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo ($retention['email'] != '' ? '<a href="mailto:' . e($retention['email']) . '">' . e($retention['email']) . '</a>' : '-') ?>
                </p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_website'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo ($retention['website'] != '' ? '<a href="' . e(maybe_add_http($retention['website'])) . '" target="_blank">' . e($retention['website']) . '</a>' : '-') ?>
                </p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_add_edit_phonenumber'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo ($retention['phonenumber'] != '' ? '<a href="tel:' . e($retention['phonenumber']) . '">' . e($retention['phonenumber']) . '</a>' : '-') ?>
                </p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_company'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($retention['company'] != '' ? $retention['company'] : '-') ?></p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_address'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($retention['address'] != '' ? $retention['address'] : '-') ?></p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_city'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($retention['city'] != '' ? $retention['city'] : '-') ?></p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_state'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($retention['state'] != '' ? $retention['state'] : '-') ?></p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_country'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo e($retention['country'] != 0 ? get_country($retention['country'])->short_name : '-') ?></p>
                <p class="text-muted retention-field-heading"><?php echo _l('retention_zip'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($retention['zip'] != '' ? $retention['zip'] : '-') ?></p>
            </div>
        </div>
    </div>
</li>
<?php }
