<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<div class="<?php if ($openEdit == true) {
    echo 'open-edit ';
} ?>retention-wrapper" <?php if (isset($retention) && ($retention->junk == 1 || $retention->lost == 1)) {
    echo 'retention-is-junk-or-lost';
} ?>>

    <?php if (isset($retention)) { ?>
    

    <div class="mleft5 pull-right<?php echo $retention_locked == true || $retention->lost == 1 ? ' hide': ''; ?>">
        <a href="#" retention-edit data-toggle="tooltip" data-title="<?php echo _l('edit'); ?>"
            class="btn btn-default retention-top-btn">

            <i class="fa-regular fa-pen-to-square"></i>
        </a>
    </div>

    

    <?php
           $client                                 = false;
           $convert_to_client_tooltip_email_exists = '';
           if (total_rows(db_prefix() . 'contacts', ['email' => $retention->email]) > 0 && total_rows(db_prefix() . 'clients', ['retentionid' => $retention->id]) == 0) {
               $convert_to_client_tooltip_email_exists = _l('retention_email_already_exists');
               $text                                   = _l('retention_convert_to_client');
           } elseif (total_rows(db_prefix() . 'clients', ['retentionid' => $retention->id])) {
               $client = true;
           } else {
               $text = _l('retention_convert_to_client');
           }
      ?>

    <?php if ($retention_locked == false) { ?>
    <div class="retention-edit<?php if (isset($retention)) {
          echo ' hide';
      } ?>">
        <button type="button" class="btn btn-primary pull-right retention-top-btn retention-save-btn"
            onclick="document.getElementById('retention-form-submit').click();">
            <?php echo _l('submit'); ?>
        </button>
    </div>
    <?php } ?>
    <?php if ($client && (staff_can('view',  'customers') || is_customer_admin(get_client_id_by_retention_id($retention->id)))) { ?>
    <a data-toggle="tooltip" class="btn btn-success pull-right retention-top-btn retention-view" data-placement="top"
        title="<?php echo _l('retention_converted_edit_client_profile'); ?>"
        href="<?php echo admin_url('clients/client/' . get_client_id_by_retention_id($retention->id)); ?>">
        <i class="fa-regular fa-user"></i>
    </a>
    <?php } ?>
    <?php if (total_rows(db_prefix() . 'clients', ['retentionid' => $retention->id]) == 0) { ?>
    

    <?php } ?>

    <?php } ?>

    

    <div class="clearfix no-margin "></div>

    <?php if (isset($retention)) { ?>

    <div class="row mbot15" style="margin-top:12px;">
        <hr class="no-margin" />
    </div>

    <div class="alert alert-warning hide mtop20" role="alert" id="retention_proposal_warning">
        <?php echo _l('proposal_warning_email_change', [_l('retention_lowercase'), _l('retention_lowercase'), _l('retention_lowercase')]); ?>
        <hr />
        <a href="#" onclick="update_all_proposal_emails_linked_to_retention(<?php echo e($retention->id); ?>); return false;">
            <?php echo _l('update_proposal_email_yes'); ?>
        </a>
        <br />
        <a href="#" onclick="init_retention_modal_data(<?php echo e($retention->id); ?>); return false;">
            <?php echo _l('update_proposal_email_no'); ?>
        </a>
    </div>
    <?php } ?>

    
    <?php echo form_open((isset($retention) ? admin_url('retentions/retention/' . $retention->id) : admin_url('retentions/retention')), ['id' => 'retention_form']); ?>
    <div class="row clearfix-background">
        <div class="retention-view<?php if (!isset($retention)) {
          echo ' hide';
        } ?>" id="retentionViewWrapper">
            <div class="col-md-6 col-xs-12 retention-information-col">
            <!-- Edit Name -->
            <h5 class="retention-field-heading tw-font-medium tw-text-neutral-500">
                <?php echo _l('retention_add_edit_name'); ?>
            </h5>
            <?php  if(isset($retention)) { 
                if (($retention->status) != 1) { 
                    if (staff_can('edit', 'retentions') || staff_can('view_own', 'retentions')) { ?>
                        <div id="retention_view_name" class="editable-content" contenteditable="true" 
                            onblur="updateRetentionName(<?php echo e($retention->id); ?>)" 
                            onfocus="this.style.backgroundColor='#f9f9f9'" 
                            onfocusout="this.style.backgroundColor='transparent'">
                            <?php if (!empty($retention->name)) { ?>
                                <div class="content-wrapper">
                                    <h4 class="content-text"><b><?php echo htmlspecialchars($retention->name); ?></b></h4>
                                    <i id="save_name_icon" class="fa fa-check save-icon" style="display: none;"></i>
                                </div>
                            <?php } else { ?>
                                <span class="text-muted"></span>
                            <?php } ?>
                        </div>
                    <?php } else { ?> 
                        <h4 class="content-text-light" style="cursor: not-allowed">
                        <b><?php echo ($retention->name); ?></b>
                    </h4>
                    <?php } 
                } else { ?>
                    <h3 class="content-text-light" style="cursor: not-allowed">
                        <b><?php echo ($retention->name); ?></b>
                    </h3>
                <?php } ?>
            
            
           <?php } ?>
            <!-- End Edit NAME -->



            <!-- Edit Email -->
            <h5 class="retention-field-heading tw-font-medium tw-text-neutral-500">
            <?php echo _l('retention_add_edit_email'); ?></h5>
            <?php 
            if(isset($retention)) {
                if (($retention->status) != 1) {
                
                    
                if (staff_can('edit', 'retentions')) { ?>
                    <div id="retention_view_email" class="editable-content" contenteditable="true" onblur="updateRetentionEmail(<?php echo e($retention->id); ?>)" onfocus="this.style.backgroundColor='#f9f9f9'" onfocusout="this.style.backgroundColor='transparent'">
                        <?php if (!empty($retention->email)) { ?>
                            <div class="content-wrapper">
                                <h4 class="content-text"><b><?php echo htmlspecialchars($retention->email); ?></b></h4>
                                <i id="save_email_icon" class="fa fa-check save-icon" style="display: none;"></i>
                            </div>
                        <?php } else { ?>
                            <span class="text-muted"></span>
                        <?php } ?>
                    </div>
                <?php } else {?> 
                    <h4 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($retention->email); ?></b></h4>


                <?php }
                
                } else { ?>
                
                <h3 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($retention->email); ?></b></h3>

                <?php } ?>

                <?php } ?>
            <!-- End Edit Email -->


            <!-- Edit Phone Number -->
            <h5 class="retention-field-heading tw-font-medium tw-text-neutral-500">
            <?php echo _l('retention_add_edit_phonenumber'); ?></h5>
            <?php 
           if(isset($retention)) { 
            if (($retention->status) != 1) {
             
                
            if (staff_can('edit', 'retentions')) { ?>
                <div id="retention_view_phonenumber" class="editable-content" contenteditable="true" onblur="updateRetentionPhoneNumber(<?php echo e($retention->id); ?>)" onfocus="this.style.backgroundColor='#f9f9f9'" onfocusout="this.style.backgroundColor='transparent'">
                    <?php if (!empty($retention->phonenumber)) { ?>
                        <div class="content-wrapper">
                            <h4 class="content-text"><b><?php echo htmlspecialchars($retention->phonenumber); ?></b></h4>
                            <i id="save_phonenumber_icon" class="fa fa-check save-icon" style="display: none;"></i>
                        </div>
                    <?php } else { ?>
                        <span class="text-muted"></span>
                    <?php } ?>
                </div>
            <?php } else { ?>
                <h4 class="content-text-light" id="retention_view_phonenumber" style="cursor :not-allowed"><b><?php echo ($retention->phonenumber); ?></b></h4>


            <?php } 
            
            } else { ?>
            
            <h3 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($retention->phonenumber); ?></b></h3>

            <?php } ?>

            <?php } ?>
            <!-- End Edit Phone Number -->


            <!-- Edit retention Value -->
            <h5 class="retention-field-heading tw-font-medium tw-text-neutral-500">
            <?php echo _l('retention_value'); ?></h5>
            <?php 
            if(isset($retention)) {
            if (($retention->status) != 1) {
             
           
            if (staff_can('edit', 'retentions') || staff_can('view_own', 'retentions')) { ?>
                <div id="retention_view_value" class="editable-content" contenteditable="true" onblur="updateRetentionValue(<?php echo e($retention->id); ?>)" onfocus="this.style.backgroundColor='#f9f9f9'" onfocusout="this.style.backgroundColor='transparent'">
                    <?php if (!empty($retention->retention_value)) { ?>
                        <div class="content-wrapper">
                            <h4 class="content-text"><b><?php echo htmlspecialchars($retention->retention_value); ?></b></h4>
                            <i id="save_value_icon" class="fa fa-check save-icon" style="display: none;"></i>
                        </div>
                    <?php } else { ?>
                        <span class="text-muted"></span>
                    <?php } ?>
                </div>
            <?php } else { ?>
                <h4 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($retention->retention_value); ?></b></h4>


            <?php }
            
            } else { ?>
                
            
                <h3 class="content-text-light" style="cursor :not-allowed"><b><?php echo ($retention->retention_value); ?></b></h3>

            <?php } ?>
            <?php } ?>
            <!-- End Edit retention Value -->

            
                        <dt class="retention-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('retentions_dt_date_status_change_staff'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15">
                        <?php echo(isset($retention) && $retention->last_status_change_staff != 0 ? e(get_staff_full_name($retention->last_status_change_staff)) : '-') ?>
                    </dd>





            </div>

            <div class="col-md-6 col-xs-12 retention-information-col">
                
                <dl>
                <h5 class="retention-field-heading tw-font-medium tw-text-neutral-500">
                <?php echo _l('retention_add_edit_status'); ?></h5>
                    <dd class="tw-text-neutral-900 tw-mt-2 mbot15">
                        <?php
                            if (isset($retention)) {

                                if (($retention->status) != 1) {
                                    $outputStatus = $retention->status_name != '' ? (
                                        '<span class="retention-status-' . e($retention->status) . ' label' . (empty($retention->color) ? ' label-default' : '') . '" style="color:' . e($retention->color) . ';border:1px solid ' . adjust_hex_brightness($retention->color, 0.4) . ';background: ' . adjust_hex_brightness($retention->color, 0.04) . ';">' . e($retention->status_name)
                                    ) : '-';
                                    
                                    if ($retention->status_name != '') {
                                        $outputStatus .= '<div class="dropdown inline-block mleft5 table-export-exclude">';
                                        $outputStatus .= '<a href="#" style="font-size:14px;vertical-align:middle;" class="dropdown-toggle text-dark" id="tableretentionsStatus-' . $retention->id . '" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">';
                                        $outputStatus .= '<span data-toggle="tooltip" title="' . _l('ticket_single_change_status') . '"><i class="fa-solid fa-chevron-down tw-opacity-70"></i></span>';
                                        $outputStatus .= '</a>';
                                    
                                        $outputStatus .= '<ul class="dropdown-menu dropdown-menu-left" aria-labelledby="tableretentionsStatus-' . $retention->id . '">';
                                        foreach ($statuses as $retentionChangeStatus) {
                                            if ($retention->status != $retentionChangeStatus['id']) {
                                                $outputStatus .= '<li>
                                                    <a href="#" 
                                                    onclick="if(confirm(\'Are you sure you want to change the status to ' . e($retentionChangeStatus['name']) . '?\')) { retention_mark_as(' . $retentionChangeStatus['id'] . ', ' . $retention->id . '); init_retention(' . $retention->id . '); } return false;">
                                                        ' . e($retentionChangeStatus['name']) . '
                                                    </a>
                                                </li>';
                                            }
                                        }
                                        $outputStatus .= '</ul>';
                                        $outputStatus .= '</div>';
                                    }
                                    $outputStatus .= '</span>';
                                    
                                    echo $outputStatus;

                                } else { ?> 
                                    <span class="retention-status-1 label" style="color:#515050; border:1px solid #656565; background: #c9c9c9; cursor: not-allowed;">
                                        <?php echo htmlspecialchars($retention->status_name); ?>
                                    </span>

                                <?php }

                            }else {
                                echo '-';
                            }
                        ?>
                    </dd>
                    <dt class="retention-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('retention_add_edit_source'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15">
                        <?php echo(isset($retention) && $retention->source_name != '' ? e($retention->source_name) : '-') ?></dd>
                    
                    
                    
                    <dt class="retention-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('retentions_dt_datecreated'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1">
                        <?php echo(isset($retention) && $retention->dateadded != '' ? '<span class="text-has-action" data-toggle="tooltip" data-title="' . e(_dt($retention->dateadded)) . '">' . e(time_ago($retention->dateadded)) . '</span>' : '-') ?>
                    </dd>

                    <dt class="retention-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('retentions_dt_date_status_change'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15">
                        <?php echo(isset($retention) && $retention->last_status_change != '' ? e($retention->last_status_change) : '-') ?></dd>
                    
                    
                    
                    <?php if (isset($retention) && $retention->from_form_id != 0) { ?>
                    <dt class="retention-field-heading tw-font-medium tw-text-neutral-500">
                        <?php echo _l('web_to_retention_form'); ?></dt>
                    <dd class="tw-text-neutral-900 tw-mt-1 mbot15"><?php echo e($retention->form_data->name); ?></dd>
                    <?php } ?>
                </dl>
            </div>


            
            <div class="clearfix"></div>
            
        </div>

        <div class="clearfix"></div>
        <div class="retention-edit<?php if (isset($retention)) {
                echo ' hide';
            } ?>">
            <div class="col-md-4 <?php echo !is_admin() ? 'hide' : ''; ?>">
                <?php
            $selected = '';
            if (isset($retention)) {
                $selected = $retention->status;
            } elseif (isset($status_id)) {
                $selected = $status_id;
            }
            echo render_retentions_status_select($statuses, $selected, 'retention_add_edit_status');
          ?>
            </div>
            
            <div class="col-md-4 <?php echo !is_admin() ? 'hide' : ''; ?>">
                <?php
                    $selected = (isset($retention) ? $retention->source : get_option('retentions_default_source'));
                    echo render_retentions_source_select($sources, $selected, 'retention_add_edit_source');
                ?>
            </div>
            <div class="col-md-4 <?php echo !is_admin() ? 'hide' : ''; ?>">
                <?php
               $assigned_attrs = [];
               $selected       = (isset($retention) ? $retention->assigned : get_staff_user_id());
               if (isset($retention)
                  && $retention->assigned == get_staff_user_id()
                  && $retention->addedfrom != get_staff_user_id()
                  && !is_admin($retention->assigned)
                  && staff_cant('view', 'retentions')
               ) {
                   $assigned_attrs['disabled'] = true;
               }
               echo render_select('assigned', $members, ['staffid', ['firstname', 'lastname']], 'retention_add_edit_assigned', $selected, $assigned_attrs); ?>
            </div>
            <div class="clearfix "></div>
            <hr class="mtop5 mbot10" />
            
           
           
            <div class="col-md-6">
               
            <?php $value = (isset($retention) ? $retention->name : ''); ?>
                <?php echo render_input('name', 'retention_add_edit_name', $value); ?>
                

            <?php if(has_permission('retentions','','edit')){ ?>
              
                
                <?php $value = (isset($retention) ? $retention->email : ''); ?>
                <?php echo render_input('email', 'retention_add_edit_email', $value); ?>

            <?php } else {

              

                 $value = (isset($retention) ? $retention->email : ''); 
                 echo render_input('email', 'retention_add_edit_email', $value, 'text', ['readonly' => true]); 

            } ?>  


               
                
                
            </div>
            <div class="col-md-6">

                <?php if(has_permission('retentions','','edit')){ ?>
                        <?php
                        $value = (isset($retention) ? $retention->phonenumber : ''); ?>
                        <?php echo render_input('phonenumber', 'retention_add_edit_phonenumber', $value); ?>

                <?php }else { 

                  
                    
                    $value = (isset($retention) ? $retention->phonenumber : ''); 
                    echo render_input('phonenumber', 'retention_add_edit_phonenumber', $value,  'text', ['readonly' => true]); 



                }?>

                <div class="form-group">
                    <label for="retention_value"><?php echo _l('retention_value'); ?></label>
                    <div class="input-group" data-toggle="tooltip" title="<?php echo _l('retention_value_tooltip'); ?>">
                        <input type="number" class="form-control" name="retention_value" value="<?php if (isset($retention)) {
                echo $retention->retention_value;
            }?>">
                        <div class="input-group-addon">
                            <?php echo e($base_currency->symbol); ?>
                        </div>
                    </div>
                    </label>
                </div>
            </div>
            <div class="col-md-12">
                <?php $value = (isset($retention) ? $retention->description : ''); ?>
                <?php echo render_textarea('description', 'retention_description', $value); ?>
                <div class="row">
                    <div class="col-md-12">
                        <?php if (!isset($retention)) { ?>
                        <div class="retention-select-date-contacted hide">
                            <?php echo render_datetime_input('custom_contact_date', 'retention_add_edit_datecontacted', '', ['data-date-end-date' => date('Y-m-d')]); ?>
                        </div>
                        <?php } else { ?>
                        <?php echo render_datetime_input('lastcontact', 'retentions_dt_last_contact', _dt($retention->lastcontact), ['data-date-end-date' => date('Y-m-d')]); ?>
                        <?php } ?>
                        <div class="checkbox-inline checkbox checkbox-primary<?php if (isset($retention)) {
                   echo ' hide';
               } ?><?php if (isset($retention) && (is_retention_creator($retention->id) || staff_can('edit',  'retentions'))) {
                   echo ' retention-edit';
               } ?>">
                            <input type="checkbox" name="is_public" <?php if (isset($retention)) {
                   if ($retention->is_public == 1) {
                       echo 'checked';
                   }
               }; ?> id="retention_public">
                            <label for="retention_public"><?php echo _l('retention_public'); ?></label>
                        </div>
                        <?php if (!isset($retention)) { ?>
                        <div class="checkbox-inline checkbox checkbox-primary">
                            <input type="checkbox" name="contacted_today" id="contacted_today" checked>
                            <label for="contacted_today"><?php echo _l('retention_add_edit_contacted_today'); ?></label>
                        </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
            
            <div class="col-md-12 mtop15">
                <?php $rel_id = (isset($retention) ? $retention->id : false); ?>
                <?php echo render_custom_fields('retentions', $rel_id); ?>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <?php if (isset($retention)) { ?>
    <div class="retention-latest-activity tw-mb-3 retention-view">
        <div class="retention-info-heading">
            <h4><?php echo _l('retention_latest_activity'); ?></h4>
            
        </div>
        <div id="retention-latest-activity" class="pleft5"></div>
    </div>
    <?php } ?>
    <?php if ($retention_locked == false) { ?>
    <div class="retention-edit<?php echo isset($retention) ? ' hide' : ''; ?>">
        <hr class="-tw-mx-4 tw-border-neutral-200" />
        <button type="submit" class="btn btn-primary pull-right retention-save-btn" id="retention-form-submit">
            <?php echo _l('submit'); ?>
        </button>
        <button type=" button" class="btn btn-default pull-right mright5" data-dismiss="modal">
            <?php echo _l('close'); ?>
        </button>
    </div>
    
    <?php } ?>
    <div class="clearfix"></div>
    <?php echo form_close(); ?>
</div>
<?php if (isset($retention) && $retention_locked == true) { ?>
<script>
$(function() {
    // Set all fields to disabled if retention is locked
    $.each($('.retention-wrapper').find('input, select, textarea'), function() {
        $(this).attr('disabled', true);
        if ($(this).is('select')) {
            $(this).selectpicker('refresh');
        }
    });
});
</script>
<?php } ?>
