<?php defined('BASEPATH') or exit('No direct script access allowed');
$sale_already_client_tooltip = '';
$sale_is_client              = $sale['is_sale_client'] !== '0';
if ($sale_is_client) {
    $sale_already_client_tooltip = ' data-toggle="tooltip" title="' . _l('sale_have_client_profile') . '"';
}
if ($sale['status'] == $status['id']) { ?>
<li data-sale-id="<?php echo e($sale['id']); ?>" <?php echo e($sale_already_client_tooltip); ?> class="sale-kan-ban<?php if ($sale['assigned'] == get_staff_user_id()) {
    echo ' current-user-sale';
} ?><?php if ($sale_is_client && get_option('sale_lock_after_convert_to_customer') == 1 && !is_admin()) {
    echo ' not-sortable';
} ?>">
    <div class="panel-body sale-body">
        <div class="tw-flex sale-name">
            <?php if ($sale['assigned'] != 0) { ?>
            <a href="<?php echo admin_url('profile/' . $sale['assigned']); ?>" data-placement="right"
                data-toggle="tooltip" title="<?php echo e(get_staff_full_name($sale['assigned'])); ?>"
                class="mtop8 tw-mr-1.5">
                <?php echo staff_profile_image($sale['assigned'], [
                'staff-profile-image-xs',
                ]); ?></a>
            <?php  } ?>
            <a href="<?php echo admin_url('sales/index/' . e($sale['id'])); ?>"
                title="#<?php echo e($sale['id']) . ' - ' . e($sale['sale_name']); ?>"
                onclick="init_sale(<?php echo e($sale['id']); ?>);return false;" class="tw-block tw-min-w-0">
                <span
                    class="mtop10 mbot10 tw-truncate tw-block">
                    #<?php echo e($sale['id']) . ' - ' . e($sale['sale_name']); ?>
                </span>
            </a>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="tw-flex">
                    <div class="tw-grow tw-mr-2">
                        <p class="tw-text-sm tw-mb-0">
                            <?php echo _l('sales_canban_source', $sale['source_name']); ?>
                        </p>
                        <?php $sale_value = $sale['sale_value'] != 0 ? app_format_money($sale['sale_value'], $base_currency->symbol) : '--'; ?>
                        <p class="tw-text-sm tw-mb-0">
                            <?php echo e(_l('sales_canban_sale_value', $sale_value)); ?>
                        </p>
                    </div>
                    <div class="text-right">
                        <?php if (is_date($sale['lastcontact']) && $sale['lastcontact'] != '0000-00-00 00:00:00') { ?>
                        <small class="text-dark tw-text-sm"><?php echo _l('sales_dt_last_contact'); ?> <span
                                class="bold">
                                <span class="text-has-action" data-toggle="tooltip"
                                    data-title="<?php echo e(_dt($sale['lastcontact'])); ?>">
                                    <?php echo e(time_ago($sale['lastcontact'])); ?>
                                </span>
                            </span>
                        </small><br />
                        <?php } ?>
                        <small class="text-dark"><?php echo _l('sale_created'); ?>: <span class="bold">
                                <span class="text-has-action" data-toggle="tooltip"
                                    data-title="<?php echo e(_dt($sale['dateadded'])); ?>">
                                    <?php echo e(time_ago($sale['dateadded'])); ?>
                                </span>
                            </span>
                        </small><br />
                        <?php hooks()->do_action('before_sales_kanban_card_icons', $sale); ?>
                        <span class="mright5 mtop5 inline-block text-muted" data-toggle="tooltip" data-placement="left"
                            data-title="<?php echo _l('sales_canban_notes', $sale['total_notes']); ?>">
                            <i class="fa-regular fa-note-sticky"></i> <?php echo e($sale['total_notes']); ?>
                        </span>
                        <span class="mtop5 inline-block text-muted" data-placement="left" data-toggle="tooltip"
                            data-title="<?php echo _l('sale_kan_ban_attachments', $sale['total_files']); ?>">
                            <i class="fa fa-paperclip"></i>
                            <?php echo e($sale['total_files']); ?>
                        </span>
                        <?php hooks()->do_action('after_sales_kanban_card_icons', $sale); ?>
                    </div>
                </div>
            </div>

            <?php if ($sale['tags']) { ?>
            <div class="col-md-12">
                <div class="kanban-tags tw-text-sm tw-inline-flex">
                    <?php echo render_tags($sale['tags']); ?>
                </div>
            </div>
            <?php } ?>
            <a href="#" class="pull-right text-muted kan-ban-expand-top"
                onclick="slideToggle('#kan-ban-expand-<?php echo e($sale['id']); ?>'); return false;">
                <i class="fa fa-expand" aria-hidden="true"></i>
            </a>
            <div class="clearfix no-margin"></div>
            <div id="kan-ban-expand-<?php echo e($sale['id']); ?>" class="padding-10" style="display:none;">
                <div class="clearfix"></div>
                <hr class="hr-10" />
                <p class="text-muted sale-field-heading"><?php echo _l('sale_title'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($sale['title'] != '' ? $sale['title'] : '-') ?></p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_add_edit_email'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo ($sale['email'] != '' ? '<a href="mailto:' . e($sale['email']) . '">' . e($sale['email']) . '</a>' : '-') ?>
                </p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_website'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo ($sale['website'] != '' ? '<a href="' . e(maybe_add_http($sale['website'])) . '" target="_blank">' . e($sale['website']) . '</a>' : '-') ?>
                </p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_add_edit_phonenumber'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo ($sale['phonenumber'] != '' ? '<a href="tel:' . e($sale['phonenumber']) . '">' . e($sale['phonenumber']) . '</a>' : '-') ?>
                </p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_company'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($sale['company'] != '' ? $sale['company'] : '-') ?></p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_address'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($sale['address'] != '' ? $sale['address'] : '-') ?></p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_city'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($sale['city'] != '' ? $sale['city'] : '-') ?></p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_state'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($sale['state'] != '' ? $sale['state'] : '-') ?></p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_country'); ?></p>
                <p class="bold tw-text-sm">
                    <?php echo e($sale['country'] != 0 ? get_country($sale['country'])->short_name : '-') ?></p>
                <p class="text-muted sale-field-heading"><?php echo _l('sale_zip'); ?></p>
                <p class="bold tw-text-sm"><?php echo e($sale['zip'] != '' ? $sale['zip'] : '-') ?></p>
            </div>
        </div>
    </div>
</li>
<?php }
