<?php

defined('BASEPATH') or exit('No direct script access allowed');

$has_permission_delete = staff_can('delete', 'target');

$aColumns = [
    'user_id',      // Column for user ID
    'full_name',      // Column for user ID
    'target',       // Column for target
    'target_month', // Column for target month
    'created_at',   // Date when the target was created
];

$sIndexColumn = 'id';
$sTable       = db_prefix() . 'targets';

// No join needed since only target table data is required
$join = [];

$where = hooks()->apply_filters('target_table_sql_where', []);

$result = data_tables_init($aColumns, $sIndexColumn, $sTable, $join, $where, [
    'id',
]);

$output  = $result['output'];
$rResult = $result['rResult'];

foreach ($rResult as $aRow) {
    $row = [];
    for ($i = 0; $i < count($aColumns); $i++) {
        $_data = $aRow[$aColumns[$i]];

        if ($aColumns[$i] == 'created_at') {
            $_data = '<span class="text-has-action is-date" data-toggle="tooltip" data-title="' . htmlspecialchars(_dt($_data)) . '">' . time_ago($_data) . '</span>';
        }

        // Handle row options (view, delete) for each target
        if ($aColumns[$i] == 'user_id') {
            $_data = '<a href="' . admin_url('target/view/' . $aRow['id']) . '">' . htmlspecialchars($aRow['user_id']) . '</a>';
            $_data .= '<div class="row-options">';
            $_data .= '<a href="' . admin_url('target/view/' . $aRow['id']) . '">' . _l('view') . '</a>';

            if ($has_permission_delete) {
                $_data .= ' | <a href="#" onclick="delete_target(' . $aRow['id'] . '); return false;" class="text-danger">' . _l('delete') . '</a>';
            }

            $_data .= '</div>';
        }

        $row[] = $_data;
    }

    $row['DT_RowClass'] = 'has-row-options';

    $row = hooks()->apply_filters('target_table_row', $row, $aRow);

    $output['aaData'][] = $row;
}
