<?php defined('BASEPATH') or exit('No direct script access allowed'); ?>
<?php init_head(); ?>
<div id="wrapper">
    <div class="content">
        <div class="row">
            <div class="col-md-12">
                <?php if (staff_can('create', 'target')) { ?>
                
                <?php } ?>
                <div class="panel_s">
                    <div class="panel-body panel-table-full">
                        <?php
                        // Define the columns for the targets table
                        $table_data = [
                            _l('user'),       // Column for User ID
                            _l('full_name'),       // Column for User ID
                            _l('target'),        // Column for Target
                            _l('target_month'),  // Column for Target Month
                            _l('created_at'),    // Column for Created At
                        ];
                        
                        // Render the datatable with the defined columns
                        render_datatable($table_data, 'target');
                        ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="delete_target" tabindex="-1" role="dialog">
    <div class="modal-dialog" role="document">
        <?php echo form_open(admin_url('targets/delete'), ['delete_target_form']); ?>
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
                <h4 class="modal-title"><?php echo _l('delete_target'); ?></h4>
            </div>
            <div class="modal-body">
                <div class="delete_id">
                    <?php echo form_hidden('id'); ?>
                </div>
                <p><?php echo _l('delete_target_info'); ?></p>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo _l('close'); ?></button>
                <button type="submit" class="btn btn-danger _delete"><?php echo _l('confirm'); ?></button>
            </div>
        </div><!-- /.modal-content -->
        <?php echo form_close(); ?>
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<?php init_tail(); ?>
<script>
$(function() {
    // Initialize the DataTable for the targets table
    initDataTable('.table-target', window.location.href);
});

function delete_target(id) {
    $('#delete_target').modal('show');
    $('#delete_target .delete_id input').val(id);
}
</script>
</body>
</html>
