<?php

defined('BASEPATH') or exit('No direct script access allowed');

$totalTimers         = count($startedTimers);
$noTimersWithoutTask = true;
if ($totalTimers == 0) {
    echo '<li class="text-center inline-block full-width tw-mb-2"><div class="text-center">
    <svg class="tw-mx-auto tw-h-10 tw-w-10 tw-text-neutral-400 -tw-mb-1" fill="none" viewBox="0 0 24 24" stroke="currentColor" aria-hidden="true">
      <path vector-effect="non-scaling-stroke" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 13h6m-3-3v6m-9 1V7a2 2 0 012-2h6l2 2h6a2 2 0 012 2v8a2 2 0 01-2 2H5a2 2 0 01-2-2z" />
    </svg>
    <p class="tw-my-0 tw-text-sm tw-font-medium tw-text-gray-900">' . _l('No Started Breaks Found') . '</p>
  </div></li>';
}



// You can't start multiple blank timers

if ($noTimersWithoutTask) {
    echo '<div class="tw-grid tw-grid-cols-2 tw-gap-4 tw-bg-gray-100 tw-rounded-lg tw-mx-auto tw-max-w-xs">';

    // Break types with corresponding images
    $breaks = [
        'Tea Break' => [
            'duration' => 15,
            'image' => 'https://fxc.evolvex.tech//uploads/company/tea.png',
        ],
        'Miscellaneous Break' => [
            'duration' => 4,
            'image' => 'https://fxc.evolvex.tech//uploads/company/misc.png',
        ],
        'Lunch Break' => [
            'duration' => 45,
            'image' => 'https://fxc.evolvex.tech//uploads/company/lunch.png',
        ],
        'Coffee Break' => [
            'duration' => 15,
            'image' => 'https://fxc.evolvex.tech//uploads/company/coffee.png',
        ],
    ];

    foreach ($breaks as $breakName => $breakDetails) {
        $duration = $breakDetails['duration'];
        $image = $breakDetails['image'];

        echo '<div class="tw-bg-gray-200 tw-rounded-lg tw-flex tw-items-center tw-justify-center tw-h-16 tw-w-16">';
        echo '<img src="' . $image . '" alt="' . $breakName . '" class="tw-w-12 tw-h-12 tw-rounded-lg tw-cursor-pointer tw-p-1" onclick="startBreakTimer(\'' . $breakName . '\', ' . $duration . '); return false;">';
        echo '</div>';
    }

    echo '</div>'; // Close grid div
}








// if (is_admin()) {
//     echo '<div class="text-center tw-mt-1 view-all-timesheets">';
//     echo '<a href="' . admin_url('staff/timesheets?view=all') . '" class="tw-text-sm">' . _l('view_members_timesheets') . '</a>';
//     echo '</div>';
// }