<?php defined('BASEPATH') or exit('No direct script access allowed');
/*
  Widget Name: Total expense
  Description: Total expense
*/
?>

<?php
$fn_get_data = function () {
  // Get the 'period_from' value and check if it's not null or empty
  $period_from = $this->input->get('period_from');
  if (!empty($period_from)) {
    $widget_req_from = DateTime::createFromFormat('Y-m-d', $period_from);
    if ($widget_req_from !== false) {
      $widget_req_from = $widget_req_from->format('Y-m-d');
    } else {
      $widget_req_from = null;
    }
  } else {
    $widget_req_from = null;
  }

  // Get the 'period_to' value and check if it's not null or empty
  $period_to = $this->input->get('period_to');
  if (!empty($period_to)) {
    $widget_req_to = DateTime::createFromFormat('Y-m-d', $period_to);
    if ($widget_req_to !== false) {
      $widget_req_to = $widget_req_to->format('Y-m-d');
    } else {
      $widget_req_to = null;
    }
  } else {
    $widget_req_to = null;
  }

  // Build the SQL query to get total expenses
  $sql = "
    SELECT 
      IFNULL(SUM((TBLExpenses.amount + 
        ((IFNULL(TBLTax.taxrate, 0) / 100) * TBLExpenses.amount) + 
        ((IFNULL(TBLTax2.taxrate, 0) / 100) * TBLExpenses.amount))), 0) AS total_amount
    FROM
      " . db_prefix() . "expenses TBLExpenses
      LEFT JOIN " . db_prefix() . "taxes TBLTax ON TBLExpenses.tax = TBLTax.id
      LEFT JOIN " . db_prefix() . "taxes TBLTax2 ON TBLExpenses.tax2 = TBLTax2.id
  ";

  // Add date range filter if both 'period_from' and 'period_to' are set
  if (isset($widget_req_from) && isset($widget_req_to)) {
    $sql .= "
      WHERE TBLExpenses.date >= '" . $widget_req_from . "' 
        AND TBLExpenses.date <= '" . $widget_req_to . "'
    ";
  }

  // Execute the query and return the result
  return $this->db->query($sql)->result_array();
};

$widget_data = $fn_get_data();
?>

<div class="widget widget-finance-total-expense" data-widget-id="<?= $widget['id'] ?>">
  <div class="widget-dragger"></div>
  <div class="card-counter danger">
    <i class="fa fa-money"></i>
    <span class="count-numbers priceable"><?= number_format($widget_data[0]['total_amount'], 2) ?></span>
    <span class="count-name"><?= _l('total_expense') ?></span>
  </div>
</div>
