<?php defined('BASEPATH') or exit('No direct script access allowed');
/*
  Widget Name: Total Revenue
  Description: Total Revenue
*/
?>

<?php
$fn_get_data = function () {
  // Get the 'period_from' value and check if it's not null or empty
  $period_from = $this->input->get('period_from');
  if (!empty($period_from)) {
    $widget_req_from = DateTime::createFromFormat('Y-m-d', $period_from);
    if ($widget_req_from !== false) {
      $widget_req_from = $widget_req_from->format('Y-m-d');
    } else {
      $widget_req_from = null;
    }
  } else {
    $widget_req_from = null;
  }

  // Get the 'period_to' value and check if it's not null or empty
  $period_to = $this->input->get('period_to');
  if (!empty($period_to)) {
    $widget_req_to = DateTime::createFromFormat('Y-m-d', $period_to);
    if ($widget_req_to !== false) {
      $widget_req_to = $widget_req_to->format('Y-m-d');
    } else {
      $widget_req_to = null;
    }
  } else {
    $widget_req_to = null;
  }

  // Build the SQL query to get total revenue
  $sql = "
    SELECT IFNULL(SUM(subtotal), 0) AS total_revenue 
    FROM " . db_prefix() . "invoices 
    WHERE status = 2
  ";

  // Add date range filter if both 'period_from' and 'period_to' are set
  if (isset($widget_req_from) && isset($widget_req_to)) {
    $sql .= "
      AND date >= '" . $widget_req_from . "' 
      AND date <= '" . $widget_req_to . "'
    ";
  }

  // Execute the query and return the result
  return $this->db->query($sql)->result_array();
};

$widget_data = $fn_get_data();
?>

<div class="widget widget-total-revenue widget-<?= $widget['id'] ?>" data-widget-id="<?= $widget['id'] ?>">
  <div class="">
    <div class="panel_s user-data">
      <div class="panel-body perfex-dashboard-panel">
        <div class="widget-dragger"></div>

        <h4 class="pull-left mtop5"><?php echo _l('total_revenue'); ?></h4>
        <div class="clearfix"></div>
        <div class="row mtop5">
          <hr class="hr-panel-heading-dashboard">
        </div>

        <div class="revenue-labels">
          <div>
            <strong class="text-info priceable"><?= number_format($widget_data[0]['total_revenue'], 2) ?></strong>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
