<?php

public function get_reminder_time()
    {
        // Query the database to get the reminder settings
        $query = $this->db->select('time')
                          ->from(db_prefix() . 'reminder_manage')
                          ->limit(1)
                          ->get();
        
        // Check if a result was found
        if ($query->num_rows() > 0) {
            // Return the reminder time
            return (int)$query->row()->time;
        }
        
        // Return a default reminder time if no result was found
        return 10;
    }

public function get_events_infp()
{
    // Get the reminder time from settings (assumed to be in minutes)
    $reminderTime = $this->get_reminder_time(); // Assumes this returns an integer representing minutes
    
    // Get the current time
    $now = date('Y-m-d H:i:s');
    
    // Calculate the time in the future based on the reminder time
    $timeFuture = date('Y-m-d H:i:s', strtotime('+' . (int)$reminderTime . ' minutes', strtotime($now)));
    
    // Query to get events where the start time is between now and the future time
    $this->db->select('title, start');
    $this->db->from(db_prefix() . 'events');
    $this->db->where('userid', get_staff_user_id());
    $this->db->where('start >=', $now);
    $this->db->where('start <=', $timeFuture);
    
    // Execute the query and return the results
    $query = $this->db->get();
    
    // Return the results
    return $query->result(); // Returns all matching rows
}

?>
