<?php

/**
 * Ensures that the module init file can't be accessed directly, only within the application.
 */

defined('BASEPATH') or exit('No direct script access allowed');
// require(__DIR__ . '/vendor/autoload.php');

/*
Module Name: Reminder Manage
Description: Reminder Manage Management.
Version: 2.3.0
Requires at least: 2.3.*
*/

define('REMINDER_MODULE_NAME', 'reminder_module');

$CI = &get_instance();

register_activation_hook(REMINDER_MODULE_NAME, 'reminder_module_activation_hook');

register_language_files(REMINDER_MODULE_NAME, [REMINDER_MODULE_NAME]);

function reminder_module_activation_hook()
{
    $CI = &get_instance();
    require_once(__DIR__ . '/install.php'); 
}

/**
* Register module deactivation hook
* @param  string $module   module system name
* @param  mixed $function  function for the hook
* @return mixed
*/

    $CI = &get_instance();
    // $CI->load->helper(CFG_MODULE_NAME . '/cfg');

    hooks()->add_action('admin_init', 'reminder_module_admin_init_menu_item');

    function reminder_module_admin_init_menu_item()
    {
    /**
    * If the logged in user is administrator, add custom menu in main menu
    */

        if (is_admin()) {
            $CI = &get_instance();

            if ( is_admin() ) {

                $CI->app_menu->add_sidebar_menu_item('reminder_module', [
                    'name'     => "Reminder",
                    'icon'     => 'fa fa-crosshairs', 
                    'href'     => admin_url('reminder_module/reminder_module/ll_home'),              
                    'position' => 49,
                ]);

            }
        }
    }

        
